summaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorQuincey Koziol <koziol@hdfgroup.org>1997-08-28 17:15:18 (GMT)
committerQuincey Koziol <koziol@hdfgroup.org>1997-08-28 17:15:18 (GMT)
commit1fa56d8b291cd4e50a9cc14cd9c2eccde206d772 (patch)
tree2a055123d7e2ac0e1a0739071bad179eb5d119ff /test
parenta39e0ef324c57105c09e84f4aee878595a320a41 (diff)
downloadhdf5-1fa56d8b291cd4e50a9cc14cd9c2eccde206d772.zip
hdf5-1fa56d8b291cd4e50a9cc14cd9c2eccde206d772.tar.gz
hdf5-1fa56d8b291cd4e50a9cc14cd9c2eccde206d772.tar.bz2
[svn-r48] Fixed H5Cgetparm tests to use uint8 for the offset and length parameters.
Diffstat (limited to 'test')
-rw-r--r--test/Makefile180
-rw-r--r--test/tfile.c38
2 files changed, 143 insertions, 75 deletions
diff --git a/test/Makefile b/test/Makefile
index c14fe3a..21c5bc8 100644
--- a/test/Makefile
+++ b/test/Makefile
@@ -1,56 +1,142 @@
-### Name of target
-TARGET = testhdf5
-
+# Generated automatically from Makefile.in by configure.
+# HDF5 Library Test Makefile(.in) -*- makefile -*-
#
-# PART 2: various choices
+# Copyright (C) 1997 National Center for Supercomputing Applications.
+# All rights reserved.
#
+#
+
+#------------------------------------------------------------- -*- makefile -*-
+# The following section of this makefile comes from the
+# `./config/commence' file which was generated with config.status
+# from `./config/commence.in'.
+#------------------------------------------------------------------------------
+
+# Things that Make needs
+.SUFFIXES:
+.SUFFIXES: .c .o
+
+
+# Programs
+SHELL=/bin/sh
+CC=gcc
+CFLAGS=-g -Wall -Wshadow -Wpointer-arith -Wcast-qual -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wnested-externs
+CPPFLAGS=
+LIBS=
+AR=ar
+RANLIB=ranlib
+RM=rm -f
+INSTALL=/usr/bin/install -c
+INSTALL_PROGRAM=${INSTALL}
+INSTALL_DATA=${INSTALL} -m 644
+
+# Installation points
+prefix=/usr/local
+exec_prefix=${prefix}
+bindir=${exec_prefix}/bin
+libdir=${exec_prefix}/lib
+includedir=${prefix}/include
+
+#------------------------------------------------------------------------------
+# The following section of this makefile comes from the middle of `Makefile.in'
+# from this directory. It was generated by running `config.status'.
+#------------------------------------------------------------------------------
+
+# Add include directory to the C preprocessor flags.
+CPPFLAGS=-I. -I../src
+
+# These are our main targets:
+PROGS=testhdf5
+
+# Source and object files for programs...
+PROG_SRC=testhdf5.c tfile.c theap.c tmeta.c tohdr.c tstab.c
+PROG_OBJ=$(PROG_SRC:.c=.o)
+
+# Private header files (not to be installed)...
+PRIVATE_HDR=testhdf5.h
+
+# How to build the programs...
+testhdf5: $(PROG_OBJ) ../src/libhdf5.a
+ $(CC) $(CFLAGS) -o $@ $(PROG_OBJ) ../src/libhdf5.a
+
+
+#------------------------------------------------------------- -*- makefile -*-
+# The following section of this makefile comes from the
+# `./config/conclude' file which was generated with config.status
+# from `./config/conclude.in'.
+#------------------------------------------------------------------------------
+
+# The default is to build the library and programs.
+all: $(LIB) $(PROGS)
+lib: $(LIB)
+
+# This is the target for the library described in the main body of the
+# makefile.
+#
+$(LIB) __no_library__: $(LIB_OBJ)
+ $(AR) -rc $@ $(LIB_OBJ)
+ $(RANLIB) $@
+
+# Build a tags file in this directory.
+TAGS: $(LIB_SRC)
+ $(RM) $@
+ -etags $(LIB_SRC)
+
+# Install the library, the public header files, and programs.
+install: $(LIB) $(PUB_HDR) $(PROGS)
+ @if test -n "$(LIB)"; then \
+ (set -x; $(INSTALL_DATA) $(LIB) $(libdir) || exit 1); \
+ fi
+ @if test -n "$(PUB_HDR)"; then \
+ (set -x; $(INSTALL_DATA) $(PUB_HDR) $(includedir) || exit 1); \
+ fi
+ @if test -n "$(PROGS)"; then \
+ (set -x; $(INSTALL_PROGRAM) $(PROGS) $(bindir) || exit 1); \
+ fi
+
+# Removes those things that `make install' (would have) installed.
+uninstall:
+ $(RM) $(libdir)/$(LIB)
+ $(RM) $(includedir)/$(PUB_HDR)
+ $(RM) $(bindir)/$(PROGS)
+
+# Removes temporary files without removing the final target files. That is,
+# remove things like object files but not libraries or executables.
+#
+mostlyclean:
+ $(RM) $(LIB_OBJ) $(PROG_OBJ)
-### -DDEBUG Debugging options on
-DEFS = -I../src
-
-################################################
-## no changes required below this line ##
-################################################
-
-INCL = ../src/hdf5.h testhdf5.h
-
-OBJ = testhdf5.o tmeta.o tfile.o theap.o tohdr.o tstab.o
-
-LIBS = ../src/libhdf5.a
-
-$(TARGET): $(OBJ) $(LIBS)
- $(CC) -o $(TARGET) $(OBJ) $(LIBS)
-
-all: $(TARGET)
-
-test: $(TARGET)
- ./$(TARGET)
-
-debug: $(OBJ)
- purify $(CC) -o $(TARGET) $(OBJ) $(LIBS)
-
-clean:
- -rm -f *.o core *.core $(TARGET)
- -rm -f *.bak *.h5
-
-###########################################################################
-
-testhdf5.o: testhdf5.c $(INCL)
- $(CC) $(CFLAGS) $(DEFS) testhdf5.c
-
-tmeta.o: tmeta.c $(INCL)
- $(CC) $(CFLAGS) $(DEFS) tmeta.c
+# Like `mostlyclean' except it also removes the final targets: things like
+# libraries and executables. This target doesn't remove any file that
+# is part of the HDF5 distribution.
+#
+clean: mostlyclean
+ $(RM) $(LIB) $(PROGS)
-tfile.o: tfile.c $(INCL)
- $(CC) $(CFLAGS) $(DEFS) tfile.c
+# Like `clean' except it also removes files that were created by running
+# configure. If you've unpacked the source and built HDF5 without creating
+# any other files, then `make distclean' will leave only the files that were
+# in the distribution.
+#
+distclean: clean
+ $(RM) .depend TAGS
+ @if test -f Makefile.in; then \
+ (set -x; $(RM) Makefile); \
+ fi
+
+# Like `distclean' except it deletes all files that can be regenerated from
+# the makefile, including those generated from autoheader and autoconf.
+#
+maintainer-clean: distclean
-theap.o: theap.c $(INCL)
- $(CC) $(CFLAGS) $(DEFS) theap.c
-tohdr.o: tohdr.c $(INCL)
- $(CC) $(CFLAGS) $(DEFS) tohdr.c
+# Implicit rules
+.c.a:
+ $(CC) $(CFLAGS) $(CPPFLAGS) -c $<
+ $(AR) -rc $@ $*.o
+ $(RM) $*.o
-tstab.o: tstab.c $(INCL)
- $(CC) $(CFLAGS) $(DEFS) tstab.c
+.c.o:
+ $(CC) $(CFLAGS) $(CPPFLAGS) -c $<
diff --git a/test/tfile.c b/test/tfile.c
index 57a0df0..e83424e 100644
--- a/test/tfile.c
+++ b/test/tfile.c
@@ -64,6 +64,7 @@ static void test_file_create(void)
hatom_t fid1,fid2,fid3; /* HDF5 File IDs */
hatom_t tmpl1,tmpl2; /* File creation templates */
uintn parm; /* File-creation parameters */
+ uint8 parm2; /* File-creation parameters */
herr_t ret; /* Generic return value */
/* Output message about test being performed */
@@ -83,27 +84,22 @@ static void test_file_create(void)
/* Get the file-creation parameters */
ret=H5Cgetparm(tmpl1,H5_USERBLOCK_SIZE,&parm);
-printf("USERBLOCK_SIZE=%u\n",parm);
CHECK(ret,FAIL,"H5Cgetparm");
VERIFY(parm,F1_USERBLOCK_SIZE,"H5Cgetparm");
ret=H5Cgetparm(tmpl1,H5_OFFSET_SIZE,&parm);
-printf("OFFSET_SIZE=%u\n",parm);
CHECK(ret,FAIL,"H5Cgetparm");
VERIFY(parm,F1_OFFSET_SIZE,"H5Cgetparm");
ret=H5Cgetparm(tmpl1,H5_LENGTH_SIZE,&parm);
-printf("LENGTH_SIZE=%u\n",parm);
CHECK(ret,FAIL,"H5Cgetparm");
VERIFY(parm,F1_LENGTH_SIZE,"H5Cgetparm");
ret=H5Cgetparm(tmpl1,H5_SYM_LEAF_K,&parm);
-printf("SYM_LEAF_K=%u\n",parm);
CHECK(ret,FAIL,"H5Cgetparm");
VERIFY(parm,F1_SYM_LEAF_K,"H5Cgetparm");
ret=H5Cgetparm(tmpl1,H5_SYM_INTERN_K,&parm);
-printf("SYM_INTERN_K=%u\n",parm);
CHECK(ret,FAIL,"H5Cgetparm");
VERIFY(parm,F1_SYM_INTERN_K,"H5Cgetparm");
@@ -154,27 +150,22 @@ printf("SYM_INTERN_K=%u\n",parm);
/* Get the file-creation parameters */
ret=H5Cgetparm(tmpl1,H5_USERBLOCK_SIZE,&parm);
-printf("USERBLOCK_SIZE=%u\n",parm);
CHECK(ret,FAIL,"H5Cgetparm");
VERIFY(parm,F2_USERBLOCK_SIZE,"H5Cgetparm");
- ret=H5Cgetparm(tmpl1,H5_OFFSET_SIZE,&parm);
-printf("OFFSET_SIZE=%u\n",parm);
+ ret=H5Cgetparm(tmpl1,H5_OFFSET_SIZE,&parm2);
CHECK(ret,FAIL,"H5Cgetparm");
- VERIFY(parm,F2_LENGTH_SIZE,"H5Cgetparm");
+ VERIFY(parm2,F2_LENGTH_SIZE,"H5Cgetparm");
- ret=H5Cgetparm(tmpl1,H5_LENGTH_SIZE,&parm);
-printf("LENGTH_SIZE=%u\n",parm);
+ ret=H5Cgetparm(tmpl1,H5_LENGTH_SIZE,&parm2);
CHECK(ret,FAIL,"H5Cgetparm");
- VERIFY(parm,F2_OFFSET_SIZE,"H5Cgetparm");
+ VERIFY(parm2,F2_OFFSET_SIZE,"H5Cgetparm");
ret=H5Cgetparm(tmpl1,H5_SYM_LEAF_K,&parm);
-printf("SYM_LEAF_K=%u\n",parm);
CHECK(ret,FAIL,"H5Cgetparm");
VERIFY(parm,F2_SYM_LEAF_K,"H5Cgetparm");
ret=H5Cgetparm(tmpl1,H5_SYM_INTERN_K,&parm);
-printf("SYM_INTERN_K=%u\n",parm);
CHECK(ret,FAIL,"H5Cgetparm");
VERIFY(parm,F2_SYM_INTERN_K,"H5Cgetparm");
@@ -205,27 +196,22 @@ printf("SYM_INTERN_K=%u\n",parm);
/* Get the file-creation parameters */
ret=H5Cgetparm(tmpl1,H5_USERBLOCK_SIZE,&parm);
-printf("USERBLOCK_SIZE=%u\n",parm);
CHECK(ret,FAIL,"H5Cgetparm");
VERIFY(parm,F3_USERBLOCK_SIZE,"H5Cgetparm");
ret=H5Cgetparm(tmpl1,H5_OFFSET_SIZE,&parm);
-printf("OFFSET_SIZE=%u\n",parm);
CHECK(ret,FAIL,"H5Cgetparm");
VERIFY(parm,F3_LENGTH_SIZE,"H5Cgetparm");
ret=H5Cgetparm(tmpl1,H5_LENGTH_SIZE,&parm);
-printf("LENGTH_SIZE=%u\n",parm);
CHECK(ret,FAIL,"H5Cgetparm");
VERIFY(parm,F3_OFFSET_SIZE,"H5Cgetparm");
ret=H5Cgetparm(tmpl1,H5_SYM_LEAF_K,&parm);
-printf("SYM_LEAF_K=%u\n",parm);
CHECK(ret,FAIL,"H5Cgetparm");
VERIFY(parm,F3_SYM_LEAF_K,"H5Cgetparm");
ret=H5Cgetparm(tmpl1,H5_SYM_INTERN_K,&parm);
-printf("SYM_INTERN_K=%u\n",parm);
CHECK(ret,FAIL,"H5Cgetparm");
VERIFY(parm,F3_SYM_INTERN_K,"H5Cgetparm");
@@ -257,6 +243,7 @@ static void test_file_open(void)
hatom_t fid1; /* HDF5 File IDs */
hatom_t tmpl1; /* File creation templates */
uintn parm; /* File-creation parameters */
+ uint8 parm2; /* File-creation parameters */
herr_t ret; /* Generic return value */
/* Output message about test being performed */
@@ -272,27 +259,22 @@ static void test_file_open(void)
/* Get the file-creation parameters */
ret=H5Cgetparm(tmpl1,H5_USERBLOCK_SIZE,&parm);
-printf("USERBLOCK_SIZE=%u\n",parm);
CHECK(ret,FAIL,"H5Cgetparm");
VERIFY(parm,F2_USERBLOCK_SIZE,"H5Cgetparm");
- ret=H5Cgetparm(tmpl1,H5_OFFSET_SIZE,&parm);
-printf("OFFSET_SIZE=%u\n",parm);
+ ret=H5Cgetparm(tmpl1,H5_OFFSET_SIZE,&parm2);
CHECK(ret,FAIL,"H5Cgetparm");
- VERIFY(parm,F2_OFFSET_SIZE,"H5Cgetparm");
+ VERIFY(parm2,F2_OFFSET_SIZE,"H5Cgetparm");
- ret=H5Cgetparm(tmpl1,H5_LENGTH_SIZE,&parm);
-printf("LENGTH_SIZE=%u\n",parm);
+ ret=H5Cgetparm(tmpl1,H5_LENGTH_SIZE,&parm2);
CHECK(ret,FAIL,"H5Cgetparm");
- VERIFY(parm,F2_LENGTH_SIZE,"H5Cgetparm");
+ VERIFY(parm2,F2_LENGTH_SIZE,"H5Cgetparm");
ret=H5Cgetparm(tmpl1,H5_SYM_LEAF_K,&parm);
-printf("SYM_LEAF_K=%u\n",parm);
CHECK(ret,FAIL,"H5Cgetparm");
VERIFY(parm,F2_SYM_LEAF_K,"H5Cgetparm");
ret=H5Cgetparm(tmpl1,H5_SYM_INTERN_K,&parm);
-printf("SYM_INTERN_K=%u\n",parm);
CHECK(ret,FAIL,"H5Cgetparm");
VERIFY(parm,F2_SYM_INTERN_K,"H5Cgetparm");